module photolysis_data

!  use dims,only: nregions
!
!  implicit none

  ! --- in/out ---------------------------------
  
  public
  
  
  ! --- types ----------------------------------
  
  ! photolysis routines for the ZOOM version TM5

  ! types used in photolysis...

!  type phot_data
!     !
!     ! o3klim_top
!     ! vo3_surf    : vertical column ozone at the surface (#/cm2)
!     ! taus        : total cloud optical thickness (-)
!     ! cloudfrac   : maximum overlap cloud fraction (-)
!     ! albedo      : surface albedo (UV spectral region)
!     ! vo3         : overhead ozone (#/cm2)
!     ! tauc        : overhead cloud optical thickness
!     ! taus_av     : statistics: contains average cloud opt thickness surface
!     ! ags_av      : statistics: contains average albedo
!     ! vo3s_av     : statistics: contains average ozone column (#/cm2)
!     ! cfr_av      : statistics: average cloud fraction
!     ! jo3_av      : statistics: contains average jo3 (1/s)
!     ! jno2_av     : statistics: contains average jno2 (1/s)
!     ! nj_av, nvo3s_av, ncloud_av, nalb_av     : couters for statistics
!     !
!     real,dimension(:), pointer     :: o3klim_top
!     real,dimension(:,:),pointer    :: vo3_surf
!     real,dimension(:,:),pointer    :: taus
!     real,dimension(:,:),pointer    :: cloudfrac
!     real,dimension(:,:),pointer    :: albedo
!     real,dimension(:,:,:),pointer  :: vo3
!     real,dimension(:,:,:),pointer  :: tauc 
!     real,dimension(:,:),pointer    :: taus_av
!     real,dimension(:,:),pointer    :: ags_av
!     real,dimension(:,:),pointer    :: vo3s_av
!     real,dimension(:,:),pointer    :: cfr_av
!     real,dimension(:,:,:),pointer  :: jo3_av
!     real,dimension(:,:,:),pointer  :: jno2_av
!     integer                        :: nj_av, nvo3s_av, ncloud_av, nalb_av 
!
!  end type phot_data
!
!  type(phot_data),dimension(nregions),target    :: phot_dat


  ! --- const ------------------------------------
  
  integer,parameter :: njnum = 16

!  integer,parameter :: jo3d  =  1
!  integer,parameter :: jno2  =  2
!  integer,parameter :: jh2o2 =  3
!  integer,parameter :: jhno3 =  4
!  integer,parameter :: jhno4 =  5
!  integer,parameter :: jn2o5 =  6
!  integer,parameter :: jach2o=  7
!  integer,parameter :: jbch2o=  8
!  integer,parameter :: jmepe =  9
!  integer,parameter :: jano3 = 10
!  integer,parameter :: jbno3 = 11
!  integer,parameter :: jpan  = 12
!  integer,parameter :: jorgn = 13
!  integer,parameter :: j45   = 14
!  integer,parameter :: j74   = 15
!  integer,parameter :: jrooh=16

  character(len=8), dimension(njnum), parameter ::  jnam = (/  &
       'jo3d    ','jno2    ','jh2o2   ','jhno3   ','jhno4   ', &
       'jn2o5   ','jach2o  ','jbch2o  ','jmepe   ','jano3   ', &
       'jbno3   ','jpan    ','jorgn   ','j45     ','j74     ', &
       'jrooh   '                                                 /)


end module photolysis_data
